<?php

namespace Modules\Accounts\Enums;

enum AccountingPeriodStatusEnum: string
{
    case OPEN = 'open';
    case LOCKED = 'locked';
    case CLOSED = 'closed';

    public static function casesAsArray(): array
    {
        return array_map(fn(self $case) => $case->value, self::cases());
    }
}
